For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • GETRetrieve an entity
      • POSTResolves an entity
LogoLogo
Legacy DocsSign in
API ReferenceEntities

Resolves an entity

POST
https://api.ntropy.com/v3/entities/resolve
POST
/v3/entities/resolve
$curl -X "POST" \
> "https://api.ntropy.com/v3/entities/resolve" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Starbucks"
> }'
$
1{
2 "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
3 "name": "Starbucks",
4 "website": "starbucks.com",
5 "phone_number": "+1 4153753176",
6 "tax_number": "80-0429876",
7 "naics2017": "541519",
8 "logo": "https://logos.ntropy.com/starbucks.com",
9 "mccs": [
10 5814
11 ]
12}

Resolves a query into an entity by querying our entity resolution system. The parameters name and website are mutually exclusive. Calls to this endpoint using the name parameter are billed the same way transactions are.

Was this page helpful?
Previous

Find recurring groups in a transaction history

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
namestring or nullOptional
The name of the entity to resolve
websitestring or nullOptional
The website of the entity to resolve
locationstring or nullOptional
An unstructured location string of the entity to resolve

Response

Entity
idstring or null
The unique UUID identifier of the entity
namestring or null
The name of the entity
websitestring or null
The website URL of the entity
phone_numberstring or null
The phone number of the entity. This is a premium feature, please contact support to enable it.
tax_numberstring or null
The tax number of the entity. This is a premium feature, please contact support to enable it.
naics2017string or null
The 2017 NAICS code of the entity. This is a premium feature, please contact support to enable it.
logostring or null
Logo's URL
mccslist of integers

A list of Merchant Category Codes

parentobject or null
The parent entity
locationobject or null

Errors

400
Bad Request Error
422
Unprocessable Entity Error
423
Locked Error